OpenNMS API 1.2.9

## org.opennms.install
Class Column

    java.lang.Object
      org.opennms.install.Column

public class Column
extends java.lang.Object

Field Summary
`private java.util.LinkedList` `m_constraints`
`private java.lang.String` `m_name`
`private boolean` `m_notnull`
`private int` `m_size`
`private java.lang.String` `m_type`

Constructor Summary
`Column()`

Method Summary
`void` `addConstraint(Constraint constraint)`
`int` `columnTypeSize(java.lang.String type)`
`boolean` `equals(java.lang.Object other_o)`
`int` `getColumnSqlType()`
`java.util.Iterator` `getConstraintIterator()`
`java.util.List` `getConstraints()`
`java.lang.String` `getName()`
`int` `getSize()`
`java.lang.String` `getType()`
`int` `hashCode()`
`boolean` `isNotNull()`
`static java.lang.String` `normalizeColumnType(java.lang.String column, boolean hasSize)`
`void` `parse(java.lang.String column)`
`void` `parseColumnType(java.lang.String col_type)`
`void` `setName(java.lang.String name)`
`void` `setNotNull(boolean notnull)`
`void` `setSize(int size)`
`void` `setType(java.lang.String type)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### m_constraints

    private java.util.LinkedList m_constraints

### m_name

    private java.lang.String m_name

### m_type

    private java.lang.String m_type

### m_size

    private int m_size

### m_notnull

    private boolean m_notnull

Constructor Detail

### Column

    public Column()

Method Detail

### equals

    public boolean equals(java.lang.Object other_o)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

### getConstraints

    public java.util.List getConstraints()

### getConstraintIterator

    public java.util.Iterator getConstraintIterator()

### addConstraint

    public void addConstraint(Constraint constraint)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### isNotNull

    public boolean isNotNull()

### setNotNull

    public void setNotNull(boolean notnull)

### getSize

    public int getSize()

### setSize

    public void setSize(int size)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### parse

    public void parse(java.lang.String column)
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### parseColumnType

    public void parseColumnType(java.lang.String col_type)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getColumnSqlType

    public int getColumnSqlType()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### normalizeColumnType

    public static java.lang.String normalizeColumnType(java.lang.String column,
                                                       boolean hasSize)
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### columnTypeSize

    public int columnTypeSize(java.lang.String type)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.